net.fortuna.ical4j.model.property

## Class Url

- java.lang.Object
- - net.fortuna.ical4j.model.Content
  - - net.fortuna.ical4j.model.Property
    - - net.fortuna.ical4j.model.property.Url

All Implemented Interfaces:
  Serializable

    public class Url
    extends Property

$Id$ Created: [Apr 6, 2004] Defines a URL iCalendar component property.

         4.8.4.6 Uniform Resource Locator

            Property Name: URL

            Purpose: This property defines a Uniform Resource Locator (URL)
            associated with the iCalendar object.

            Value Type: URI

            Property Parameters: Non-standard property parameters can be
            specified on this property.

            Conformance: This property can be specified once in the "VEVENT",
            "VTODO", "VJOURNAL" or "VFREEBUSY" calendar components.

            Description: This property may be used in a calendar component to
            convey a location where a more dynamic rendition of the calendar
            information associated with the calendar component can be found. This
            memo does not attempt to standardize the form of the URI, nor the
            format of the resource pointed to by the property value. If the URL
            property and Content-Location MIME header are both specified, they
            MUST point to the same resource.

            Format Definition: The property is defined by the following notation:

              url        = "URL" urlparam ":" uri CRLF

              urlparam   = *(";" xparam)

            Example: The following is an example of this property:

              URL:http://abc.com/pub/calendars/jsmith/mytime.ics

Author:
  Ben Fortuna
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class net.fortuna.ical4j.model.Property

`ACTION, ATTACH, ATTENDEE, BUSYTYPE, CALSCALE, CATEGORIES, CLASS, COMMENT, COMPLETED, CONTACT, COUNTRY, CREATED, DESCRIPTION, DTEND, DTSTAMP, DTSTART, DUE, DURATION, EXDATE, EXPERIMENTAL_PREFIX, EXRULE, EXTENDED_ADDRESS, FREEBUSY, GEO, LAST_MODIFIED, LOCALITY, LOCATION, LOCATION_TYPE, METHOD, NAME, ORGANIZER, PERCENT_COMPLETE, POSTALCODE, PRIORITY, PRODID, RDATE, RECURRENCE_ID, REGION, RELATED_TO, REPEAT, REQUEST_STATUS, RESOURCES, RRULE, SEQUENCE, STATUS, STREET_ADDRESS, SUMMARY, TEL, TRANSP, TRIGGER, TZID, TZNAME, TZOFFSETFROM, TZOFFSETTO, TZURL, UID, URL, VERSION`

### Constructor Summary

Constructors
Constructor and Description
`Url()` Default constructor.
`Url(ParameterList aList, String aValue)`
`Url(ParameterList aList, URI aUri)`
`Url(URI aUri)`

### Method Summary

Methods
`URI` `getUri()`
`String` `getValue()`
`void` `setUri(URI uri)`
`void` `setValue(String aValue)` Sets the current value of the property.
`void` `validate()` Perform validation on a property.

### Methods inherited from class net.fortuna.ical4j.model.Property

`copy, equals, getName, getParameter, getParameters, getParameters, hashCode, isCalendarProperty, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Url

    public Url()

Default constructor.

#### Url

    public Url(ParameterList aList,
       String aValue)
        throws URISyntaxException

Parameters:
  `aList` - a list of parameters for this component
  `aValue` - a value string for this component
Throws:
  `URISyntaxException` - where the specified value string is not a valid uri

#### Url

    public Url(URI aUri)

Parameters:
  `aUri` - a URI

#### Url

    public Url(ParameterList aList,
       URI aUri)

Parameters:
  `aList` - a list of parameters for this component
  `aUri` - a URI

### Method Detail

#### getUri

    public final URI getUri()

Returns:
  Returns the uri.

#### setValue

    public final void setValue(String aValue)
                        throws URISyntaxException

Sets the current value of the property.

Specified by:
  `setValue` in class `Property`
Parameters:
  `aValue` - a string representation of the property value
Throws:
  `URISyntaxException` - possibly thrown by setting the value of certain properties

#### getValue

    public final String getValue()

Specified by:
  `getValue` in class `Content`
Returns:
  the content value

#### setUri

    public final void setUri(URI uri)

Parameters:
  `uri` - The uri to set.

#### validate

    public final void validate()
                        throws ValidationException

Perform validation on a property.

Specified by:
  `validate` in class `Property`
Throws:
  `ValidationException` - where the property is not in a valid state